tosca_definitions_version: tosca_simple_yaml_1_3
node_types:
  tosca.nodes.nfv.testWithConstraints:
    derived_from: tosca.nodes.Root
    properties:
      string_prop_with_equal:
        type: string
        constraints:
        - equal: abc
      string_prop_with_greater_than:
        type: string
        constraints:
        - greater_than: abd
      string_prop_with_greater_or_equal:
        type: string
        constraints:
        - greater_or_equal: abe
      string_prop_with_less_than:
        type: string
        constraints:
        - less_than: abf
      string_prop_with_less_or_equal:
        type: string
        constraints:
        - less_or_equal: abg
      string_prop_with_in_range:
        type: string
        constraints:
        - in_range: [def, poi]
      string_prop_with_valid_values:
        type: string
        constraints:
        - valid_values:
          - abc
          - def
      string_prop_with_length:
        type: string
        constraints:
        - length: 5
      string_prop_with_min_length:
        type: string
        constraints:
        - min_length: 6
      string_prop_with_max_length:
        type: string
        constraints:
        - max_length: 7
        
      int_prop_with_equal:
        type: integer
        constraints:
        - equal: 5
      int_prop_with_greater_than:
        type: integer
        constraints:
        - greater_than: 6
      int_prop_with_greater_or_equal:
        type: integer
        constraints:
        - greater_or_equal: 8
      int_prop_with_less_than:
        type: integer
        constraints:
        - less_than: 10
      int_prop_with_less_or_equal:
        type: integer
        constraints:
        - less_or_equal: 12
      int_prop_with_in_range:
        type: integer
        constraints:
        - in_range: [3, 8]
      int_prop_with_valid_values:
        type: string
        constraints:
        - valid_values:
          - 4
          - 7
          
      float_prop_with_equal:
        type: float
        constraints:
        - equal: 5.5
      float_prop_with_greater_than:
        type: float
        constraints:
        - greater_than: 6.5
      float_prop_with_greater_or_equal:
        type: float
        constraints:
        - greater_or_equal: 8.5
      float_prop_with_less_than:
        type: float
        constraints:
        - less_than: 10.5
      float_prop_with_less_or_equal:
        type: float
        constraints:
        - less_or_equal: 12.5
      float_prop_with_in_range:
        type: float
        constraints:
        - in_range: [3.5, 8.5]
      float_prop_with_valid_values:
        type: float
        constraints:
        - valid_values:
          - 4.5
          - 7.5
